Refresh Token
Obtain a new access token using your refresh token. Use this endpoint when your access token expires to continue making API calls without requiring user re-authorization.
Must be set to refresh_token for this flow
The redirect URI registered with your OAuth client
The refresh token obtained from the Generate Token endpoint
curl --location 'https://app.aisync.link/oauth/token/refresh' \
--form 'client_id="{{client_id}}"' \
--form 'client_secret="{{client_secret}}"' \
--form 'grant_type="refresh_token"' \
--form 'redirect_uri="{{redirect_uri}}"' \
--form 'refresh_token="{{refresh_token}}"'
A new access token to use for API requests
A new refresh token (may be the same or different from the one provided)
The type of token, typically Bearer
The number of seconds until the new access token expires
Refresh your access token before it expires to ensure uninterrupted API access. Most applications refresh tokens proactively when they’re close to expiration.
Body
application/x-www-form-urlencoded
grant_type
enum<string>
default:refresh_token
required
Must be set to 'refresh_token' for this flow
Available options:
refresh_token
The redirect URI registered with your OAuth client
The refresh token obtained from the Generate Token endpoint
The access token to use for API requests
token_type
string
default:Bearer
required
The type of token, typically 'Bearer'
The number of seconds until the access token expires
Token used to obtain a new access token when it expires